Ironic Isn't it Rated 4 out of 5 stars

This extension was awesome for what it did, however irony is at hand here with the update to Firefox 6.0. The version was capped at 3.7 and there's nothing out there to UNCap this extension so it can uncap other extensions. Therefore it suffers from itself :(
Still for anyone 3.7 and below this is great if your upgrading and want to make compatible all the extensions.